careCycle
Inquiries

Get inquiry by id

Get inquiry by id

GET
/v2/inquiries/{id}

Authorization

x-api-key
x-api-key<token>

API key required for authentication.

Keys begin with 'cc_' prefix. Get your API key from the Developer Dashboard.

In: header

Path Parameters

string

Inquiry ID

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.carecycle.ai/v2/inquiries/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "createdAt": "string",
  "updatedAt": "string",
  "customerCampaignId": "36ca8d1d-3d3d-48cf-bd1f-a796d8849d75",
  "callId": "4722cd84-0ec7-4ef5-8c34-1b0150f45f53",
  "toolCallId": "string",
  "inquiry": "string",
  "response": "string",
  "status": "new",
  "primaryCategory": "string",
  "subcategory": "string",
  "severity": "string",
  "severityTriggers": "string",
  "suggestedHandling": "string",
  "handlingRationale": "string",
  "reasoning": "string",
  "escalationApplied": true,
  "additionalConcerns": "string",
  "resolutionType": "string",
  "notes": "string",
  "resolvedAt": "string",
  "resolvedBy": "14b2aa2a-efb0-4ef1-9ffc-3025efbd2222",
  "assignedTo": "7869c1a9-a680-4086-b6f5-9e78a651f6f2",
  "callbackRequestedAt": "string",
  "callbackRequestedBy": "a5a1af4e-f2c6-48c6-8e69-0acc13906fed",
  "callbackWorkflowId": "58c68a9f-1923-4a5a-b69b-88032c446b85",
  "callbackCompletedAt": "string",
  "callbackCallId": "3ff5b170-21ec-4fdb-9d07-d18865ce54a5",
  "callbackDisposition": "string",
  "callbackFailureReason": "string",
  "carrierName": "string",
  "planName": "string",
  "planCode": "string",
  "agentName": "string",
  "firstName": "string",
  "lastName": "string",
  "callerId": "string",
  "assignedUser": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string",
    "image": "string"
  },
  "customerAssignedUser": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string",
    "image": "string"
  },
  "customer": {
    "id": "string",
    "email": "string",
    "dateOfBirth": "string",
    "state": "string",
    "city": "string",
    "postalCode": "string",
    "address": "string",
    "language": "string",
    "timezone": "string",
    "enrollmentDate": "string",
    "effectiveDate": "string",
    "veteran": true,
    "medicareCard": "string",
    "medicaid": "string",
    "socialSecurityDisability": true,
    "existingCoverage": "string",
    "desiredCoverageStart": "string",
    "subsidyAmount": 0,
    "householdIncome": 0,
    "filingStatus": "string",
    "doNotCall": true,
    "doNotSMS": true,
    "doNotEmail": true,
    "doNotMail": true
  },
  "call": {
    "id": "string",
    "callerId": "string",
    "createdAt": "string",
    "disposition": "string",
    "durationMs": 0,
    "assistantType": "string",
    "summary": "string",
    "transcript": "string",
    "direction": "string",
    "cost": 0,
    "successEvaluation": "string",
    "endedReason": "string",
    "testFlag": true
  }
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "VALIDATION_ERROR",
  "errors": [
    {
      "path": [
        "string"
      ],
      "message": "string",
      "expected": "string",
      "received": "string",
      "code": "string"
    }
  ]
}
{
  "message": "string",
  "code": "string",
  "retryAfter": 0
}
{
  "message": "string",
  "code": "string"
}